// Copyright Epic Games, Inc. All Rights Reserved.

#include "JamGameMode.h"

// Custom game headers.
#include "SoundManager.h"

AJamGameMode::AJamGameMode(const FObjectInitializer& ObjectInitializer):
	SoundManager(nullptr)
{
}

void AJamGameMode::InitGame(const FString& MapName, const FString& Options, FString& ErrorMessage)
{
	Super::InitGame(MapName, Options, ErrorMessage);

	if (SoundManager == nullptr)
	{
		SoundManager = NewObject<USoundManager>(this, FName("SoundManager"));
	}
}

USoundManager* AJamGameMode::GetSoundManager()
{
	return SoundManager;
}
